/*
 *   Copyright (c) 2005 - 2011 by Thanos Kyritsis
 *
 *   This file is part of ffpocket
 *
 *   FFpocket is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, version 2 of the License.
 *
 *   FFpocket is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with FFpocket; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
// Transforms a 16-bit pcm raw data file to 8-bit 

#include <stdio.h>

int main(int argc, char *argv[]) {
	FILE *infile, *outfile;
	short int sample;

	infile = fopen(argv[1], "rb");
	outfile = fopen(argv[2], "wb");

	while(fread(&sample,  2, 1, infile)) {
		sample >>= 8;
		fwrite(&sample, 1, 1, outfile);
	}
	
	fclose(infile);
	fclose(outfile);
}
