/*
 *   Copyright (c) 2005 - 2011 by Thanos Kyritsis
 *
 *   This file is part of ffpocket
 *
 *   FFpocket is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, version 2 of the License.
 *
 *   FFpocket is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with FFpocket; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */


#ifndef FFPOCKET_H
#define FFPOCKET_H 1

#if HAVE_CONFIG_H
#include <config.h>
#endif

#include "ffdecode.h"

#define FFPOCKET_VERSION VERSION
#define FFPOCKET_APPNAME PACKAGE_NAME

#ifndef HAVE_SYSTEM_FFMPEG
#include "version.h"
#endif

void version_banner(void);
void usage(const char *message);
void file_info(const char *input_filename);
void file_fps(const char *input_filename);
void file_reso(const char *input_filename);
void file_delay(const char *input_filename);

#endif

